#61 Error in sending NOTIFY for refresh SUBSCRIBE in RLS module

trunk
closed-fixed
modules (454)
9
2009-03-05
2008-12-05
Nathan
No

Version = trunk build
Module = RLS

The NOTIFY msg for refresh subscribe is sending directly to UE instead of sending to proxy in RLS mode. In that Route header is missing.

Initial subscribe

1. Proxy to opensips

SUBSCRIBE sip:s3-1@10.6.2.246 SIP/2.0
Via: SIP/2.0/UDP 192.168.126.1:50602;branch=z9hG4bK+bf0d90f7f3edfa41d338960687825df3+s+1;X-ST-CID=21011
Via: SIP/2.0/UDP 192.168.126.151:60000;branch=z9hG4bK-s3-114461640680
P-Charging-Vector: icid-value=starent.coms3-1-80
Route: <sip:10.6.2.246:5060;lr>
Expires: 200
Event: presence
Accept: application/rlmi+xml
Accept: multipart/related
Accept: application/pidf+xml
Supported: eventlist
From: sip:s3-1@10.6.2.246;tag=59572288
To: sip:s3-1@10.6.2.246
P-Asserted-Identity: <sip:s3-1@10.6.2.246>
Record-Route: <sip:192.168.126.1:50602;lr>;X-DC-TM-IDX=1;X-ST-CID=21011
Record-Route: <sip:192.168.126.1:50602;lr>;X-DC-TM-IDX=1;X-ST-CID=20002;X-ST-DLG-ID=536870913
Call-ID: s3-1-80
CSeq: 1 SUBSCRIBE
Contact: <sip:s3-1@192.168.126.151:60000>
Content-Length: 0
Max-Forwards: 69

2. Notify for initial subscribe (opensips to proxy)

NOTIFY sip:s3-1@192.168.126.151:60000 SIP/2.0
Via: SIP/2.0/UDP 10.6.2.246;branch=z9hG4bKaa48.106098f2.0
To: sip:s3-1@10.6.2.246;tag=59572288
From: sip:s3-1@10.6.2.246;tag=97b57f2144c425bc44f2e7a21eb22549-b818
CSeq: 1 NOTIFY
Call-ID: s3-1-80
Route: <sip:192.168.126.1:50602;lr>;X-DC-TM-IDX=1;X-ST-CID=21011,
<sip:192.168.126.1:50602;lr>;X-DC-TM-IDX=1;X-ST-CID=20002;X-ST-DLG-ID=536870913
Content-Length: 375
User-Agent: OpenSIPS (1.5.0dev2-notls (i386/linux))
Max-Forwards: 70
Event: presence
Contact: <sip:10.6.2.246:5060;transport=udp>
Subscription-State: active;expires=200
Require: eventlist
Content-Type: multipart/related;type="application/rlmi+xml";start= "<1228453070.sip:s3-1@10.6.2.246.1463319679>";boundary="Fk3QCGTvdTGnGmVrrm5wBXef"

--Fk3QCGTvdTGnGmVrrm5wBXef
Content-Transfer-Encoding: binary
Content-ID: <1228453070.sip:s3-1@10.6.2.246.1463319679>
Content-Type: application/rlmi+xml;charset="UTF-8r"

<?xml version="1.0"?>
<list uri="sip:s3-1@10.6.2.246" xmlns="urn:ietf:params:xml:ns:rlmi" version="1" fullState="true">
<resource uri="sip:c3-1@10.6.2.246"/>
</list>

--Fk3QCGTvdTGnGmVrrm5wBXef--

Refresh Subscribe

1. Proxy to opensips

SUBSCRIBE sip:10.6.2.246:5060 SIP/2.0
Via: SIP/2.0/UDP 192.168.126.1:50602;branch=z9hG4bK+bd987cb1d4b434a184c0ad66fe527ebc+s+1;X-ST-CID=21013
Via: SIP/2.0/UDP 192.168.126.151:60000;branch=z9hG4bK-s3-114224888240
P-Charging-Vector: icid-value=starent.coms3-1-80
Expires: 200
Event: presence
Accept: application/rlmi+xml
Accept: multipart/related
Accept: application/pidf+xml
Supported: eventlist
From: sip:s3-1@10.6.2.246;tag=59572288
To: sip:s3-1@10.6.2.246;tag=97b57f2144c425bc44f2e7a21eb22549-b818
P-Asserted-Identity: <sip:s3-1@10.6.2.246>
Call-ID: s3-1-80
CSeq: 2 SUBSCRIBE
Contact: <sip:s3-1@192.168.126.151:60000>
Content-Length: 0
Max-Forwards: 69

2. Notify for Refresh subscribe (opensips to proxy)

Issue:

Here Notification is sending directly to UE. No route header has added.
Opensips should send to proxy.
Finally lot of re transmission happened for NOTIFY (for not getting 200 ok )

Dec 4 23:58:11 [26262] DBG:tm:utimer_routine: timer routine:4,tl=0xb5b012fc next=0xb5afbefc, timeout=46500000
Dec 4 23:58:11 [26262] DBG:tm:retransmission_handler: retransmission_handler : request resending (t=0xb5b011a0, NOTIFY si ... )
Dec 4 23:58:11 [26262] DBG:tm:set_timer: relative timeout is 1000000
Dec 4 23:58:11 [26262] DBG:tm:insert_timer_unsafe: [5]: 0xb5b012fc (47500000)
Dec 4 23:58:11 [26262] DBG:tm:retransmission_handler: retransmission_handler : done
Dec 4 23:58:11 [26262] DBG:tm:utimer_routine: timer routine:4,tl=0xb5afbefc next=(nil), timeout=46500000
Dec 4 23:58:11 [26262] DBG:tm:utimer_routine: timer routine:4,tl=0xb5afe5ec next=(nil), timeout=46600000
Dec 4 23:58:12 [26262] DBG:tm:utimer_routine: timer routine:5,tl=0xb5b012fc next=(nil), timeout=47500000
Dec 4 23:58:12 [26262] DBG:tm:retransmission_handler: retransmission_handler : request resending (t=0xb5b011a0, NOTIFY si ... )
Dec 4 23:58:12 [26262] DBG:tm:set_timer: relative timeout is 2000000
Dec 4 23:58:12 [26262] DBG:tm:insert_timer_unsafe: [6]: 0xb5b012fc (49500000)
Dec 4 23:58:12 [26262] DBG:tm:retransmission_handler: retransmission_handler : done
Dec 4 23:58:14 [26262] DBG:tm:utimer_routine: timer routine:6,tl=0xb5b012fc next=(nil), timeout=49500000
Dec 4 23:58:14 [26262] DBG:tm:retransmission_handler: retransmission_handler : request resending (t=0xb5b011a0, NOTIFY si ... )
Dec 4 23:58:14 [26262] DBG:tm:set_timer: relative timeout is 4000000
Dec 4 23:58:14 [26262] DBG:tm:insert_timer_unsafe: [7]: 0xb5b012fc (53500000)
Dec 4 23:58:14 [26262] DBG:tm:retransmission_handler: retransmission_handler : done

NOTIFY sip:s3-1@192.168.126.151:60000 SIP/2.0^M
Via: SIP/2.0/UDP 10.6.2.246;branch=z9hG4bK7a48.974c01c7.0^M
To: sip:s3-1@10.6.2.246;tag=59572288^M
From: sip:s3-1@10.6.2.246;tag=97b57f2144c425bc44f2e7a21eb22549-b818^M
CSeq: 2 NOTIFY^M
Call-ID: s3-1-80^M
Content-Length: 375^M
User-Agent: OpenSIPS (1.5.0dev2-notls (i386/linux))^M
Max-Forwards: 70^M
Event: presence^M
Contact: <sip:10.6.2.246:5060;transport=udp>^M
Subscription-State: active;expires=200^M
Require: eventlist^M
Content-Type: multipart/related;type="application/rlmi+xml";start= "<1228453091.sip:s3-1@10.6.2.246.1092908929>";boundary="ysnG2GAKNcGvKOj5Zeqlnwvx"^M
^M
--ysnG2GAKNcGvKOj5Zeqlnwvx^M
Content-Transfer-Encoding: binary^M
Content-ID: <1228453091.sip:s3-1@10.6.2.246.1092908929>^M
Content-Type: application/rlmi+xml;charset="UTF-8r"^M
^M
<?xml version="1.0"?>
<list uri="sip:s3-1@10.6.2.246" xmlns="urn:ietf:params:xml:ns:rlmi" version="2" fullState="true">
<resource uri="sip:c3-1@10.6.2.246"/>
</list>
^M
--ysnG2GAKNcGvKOj5Zeqlnwvx--

Discussion

  • Nathan

    Nathan - 2008-12-05

    opensips log and pcap file for call flow

     
  • Nathan

    Nathan - 2008-12-05
    • priority: 5 --> 9
     
  • Anca Vamanu

    Anca Vamanu - 2008-12-08

    Hi Nathan,

    Thank you for the report. Indeed there was a miss out there that lead to only the route set from the received Subscribe to be added instead of the route set from the initial subscribe. It is fixed now both in trunk and the stable 1.4.x branch.

    regards,
    Anca

     
  • Anca Vamanu

    Anca Vamanu - 2008-12-08
    • assigned_to: nobody --> anca_vamanu
    • status: open --> closed-fixed
     
  • Nathan

    Nathan - 2008-12-08

    Hi Anca,
    I have tested with latest trunk build. Iam getting the same error ( ie opensips is sending NOTIFY message directly to UE for refresh SUBSCRIBE.).

    Regards,
    Nathan

     
  • Nathan

    Nathan - 2008-12-08
    • status: closed-fixed --> open-fixed
     
  • Nathan

    Nathan - 2008-12-08
    • status: open-fixed --> open-wont-fix
     
  • Anca Vamanu

    Anca Vamanu - 2008-12-09

    Hi Nathan,

    I have tested myself now(without calling record_route on in dialog SUBSCRIBE) and it works. The Notify sent by the RLS server has the right Route header and passes through the proxy.
    Can you provide some trace on rls server for the subsequent Subscribe and the triggered Notify?

    regards,
    Anca

     
  • Nathan

    Nathan - 2008-12-09

    Hi Anca,
    Thank you for the reply. I have attached entire opensips log and pcap file.
    For detail call flow please see the pcap file.

    Regards,
    Nathan

     
  • Nathan

    Nathan - 2008-12-09
     
  • Nathan

    Nathan - 2008-12-09

    Attaching Configuration file

     
  • Anca Vamanu

    Anca Vamanu - 2008-12-10

    Hi rmnathan,

    I don't know why it is not working for you. Are you sure you have recompiled and installed the new version?
    Here is what I get with latest trunk ( I have my rls sever on 5070 and my proxy on 5060):

    Initial Subscribe and Notify:
    U 2008/12/10 12:42:50.302010 192.168.2.132:5060 -> 192.168.2.132:5070
    SUBSCRIBE sip:anca-list@192.168.2.132 SIP/2.0.
    Record-Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK4aef.9de66b4.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjx-ZFVEz72zPCBm.26QfUJrE5.8cILj-I.
    Max-Forwards: 69.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3606 SUBSCRIBE.
    Event: presence.
    Expires: 300.
    Accept: multipart/related.
    Allow-Events: presence.winfo, message-summary, xcap-diff, presence.
    User-Agent: ag-projects/sipclient-0.2.3-pjsip-1.0-trunk.
    Supported: eventlist.
    Content-Length: 0.
    .

    U 2008/12/10 12:42:50.303408 192.168.2.132:5070 -> 192.168.2.132:5060
    SIP/2.0 200 OK.
    Record-Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK4aef.9de66b4.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjx-ZFVEz72zPCBm.26QfUJrE5.8cILj-I.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3606 SUBSCRIBE.
    Expires: 300.
    Contact: <sip:sa@192.168.2.132:5070>.
    Require: eventlist.
    Server: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Content-Length: 0.
    .

    U 2008/12/10 12:42:50.304922 192.168.2.132:5070 -> 192.168.2.132:5060
    NOTIFY sip:0fbeacc898@192.168.2.132:60798 SIP/2.0.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bKa93b.6404ecb1.0.
    To: sip:anca@192.168.2.132;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    From: sip:anca-list@192.168.2.132;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    CSeq: 1 NOTIFY.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Content-Length: 437.
    User-Agent: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Max-Forwards: 70.
    Event: presence.
    Contact: <sip:sa@192.168.2.132:5070>.
    Subscription-State: active;expires=300.
    Require: eventlist.
    Content-Type: multipart/related;type="application/rlmi+xml";start= "<1228905770.sip:anca-list@192.168.2.132.1388638956>";boundary="HXViZAnDGnx6WEgIVJqjZtAK".
    .
    --HXViZAnDGnx6WEgIVJqjZtAK.
    Content-Transfer-Encoding: binary.
    Content-ID: <1228905770.sip:anca-list@192.168.2.132.1388638956>.
    Content-Type: application/rlmi+xml;charset="UTF-8r".
    .
    <?xml version="1.0"?>
    <list uri="sip:anca-list@192.168.2.132" xmlns="urn:ietf:params:xml:ns:rlmi" version="1" fullState="true">
    <resource uri="sip:anca@192.168.2.132"/>
    <resource uri="sip:test@192.168.2.132"/>
    </list>
    .
    --HXViZAnDGnx6WEgIVJqjZtAK--.

    U 2008/12/10 12:42:50.318589 192.168.2.132:5060 -> 192.168.2.132:5070
    SIP/2.0 200 OK.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bKa93b.6404ecb1.0.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    From: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    To: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    CSeq: 1 NOTIFY.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Allow: SUBSCRIBE, NOTIFY, PRACK, INVITE, ACK, BYE, CANCEL, UPDATE, MESSAGE.
    Supported: 100rel.
    Content-Length: 0.

    Subsequent Subscribe and Notify:

    U 2008/12/10 12:43:02.763386 192.168.2.132:5060 -> 192.168.2.132:5070
    SUBSCRIBE sip:sa@192.168.2.132:5070 SIP/2.0.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK5aef.08b10387.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjpl9dFS5GA9NIY.dZASYV2yYZr4Nu2Mn2.
    Max-Forwards: 69.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3607 SUBSCRIBE.
    Event: presence.
    Expires: 0.
    Accept: multipart/related.
    Allow-Events: presence.winfo, message-summary, xcap-diff, presence.
    User-Agent: ag-projects/sipclient-0.2.3-pjsip-1.0-trunk.
    Supported: eventlist.
    Content-Length: 0.
    P-hint: rr-enforced.
    .

    U 2008/12/10 12:43:02.764563 192.168.2.132:5070 -> 192.168.2.132:5060
    SIP/2.0 200 OK.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK5aef.08b10387.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjpl9dFS5GA9NIY.dZASYV2yYZr4Nu2Mn2.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3607 SUBSCRIBE.
    Expires: 0.
    Contact: <sip:sa@192.168.2.132:5070>.
    Require: eventlist.
    Server: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Content-Length: 0.
    .

    U 2008/12/10 12:43:02.765773 192.168.2.132:5070 -> 192.168.2.132:5060
    NOTIFY sip:0fbeacc898@192.168.2.132:60798 SIP/2.0.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bK793b.a3db3e03.0.
    To: sip:anca@192.168.2.132;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    From: sip:anca-list@192.168.2.132;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    CSeq: 2 NOTIFY.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Content-Length: 437.
    User-Agent: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Max-Forwards: 70.
    Event: presence.
    Contact: <sip:sa@192.168.2.132:5070>.
    Subscription-State: terminated;reason=timeout.
    Require: eventlist.
    Content-Type: multipart/related;type="application/rlmi+xml";start= "<1228905782.sip:anca-list@192.168.2.132.1973250666>";boundary="EnFWYBCacVbNJvhpjk6JakMf".
    .
    --EnFWYBCacVbNJvhpjk6JakMf.
    Content-Transfer-Encoding: binary.
    Content-ID: <1228905782.sip:anca-list@192.168.2.132.1973250666>.
    Content-Type: application/rlmi+xml;charset="UTF-8r".
    .
    <?xml version="1.0"?>
    <list uri="sip:anca-list@192.168.2.132" xmlns="urn:ietf:params:xml:ns:rlmi" version="2" fullState="true">
    <resource uri="sip:anca@192.168.2.132"/>
    <resource uri="sip:test@192.168.2.132"/>
    </list>
    .
    --EnFWYBCacVbNJvhpjk6JakMf--.

    U 2008/12/10 12:43:02.774232 192.168.2.132:5060 -> 192.168.2.132:5070
    SIP/2.0 200 OK.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bK793b.a3db3e03.0.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    From: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    To: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    CSeq: 2 NOTIFY.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Allow: SUBSCRIBE, NOTIFY, PRACK, INVITE, ACK, BYE, CANCEL, UPDATE, MESSAGE.
    Supported: 100rel.
    Content-Length: 0.
    .

    regards,

    Anca

     
  • Anca Vamanu

    Anca Vamanu - 2008-12-10

    Hi rmnathan,

    I don't know why it is not working for you. Are you sure you have recompiled and installed the new version?
    Here is what I get with latest trunk ( I have my rls sever on 5070 and my proxy on 5060):

    Initial Subscribe and Notify:
    U 2008/12/10 12:42:50.302010 192.168.2.132:5060 -> 192.168.2.132:5070
    SUBSCRIBE sip:anca-list@192.168.2.132 SIP/2.0.
    Record-Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK4aef.9de66b4.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjx-ZFVEz72zPCBm.26QfUJrE5.8cILj-I.
    Max-Forwards: 69.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3606 SUBSCRIBE.
    Event: presence.
    Expires: 300.
    Accept: multipart/related.
    Allow-Events: presence.winfo, message-summary, xcap-diff, presence.
    User-Agent: ag-projects/sipclient-0.2.3-pjsip-1.0-trunk.
    Supported: eventlist.
    Content-Length: 0.
    .

    U 2008/12/10 12:42:50.303408 192.168.2.132:5070 -> 192.168.2.132:5060
    SIP/2.0 200 OK.
    Record-Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK4aef.9de66b4.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjx-ZFVEz72zPCBm.26QfUJrE5.8cILj-I.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3606 SUBSCRIBE.
    Expires: 300.
    Contact: <sip:sa@192.168.2.132:5070>.
    Require: eventlist.
    Server: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Content-Length: 0.
    .

    U 2008/12/10 12:42:50.304922 192.168.2.132:5070 -> 192.168.2.132:5060
    NOTIFY sip:0fbeacc898@192.168.2.132:60798 SIP/2.0.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bKa93b.6404ecb1.0.
    To: sip:anca@192.168.2.132;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    From: sip:anca-list@192.168.2.132;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    CSeq: 1 NOTIFY.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Content-Length: 437.
    User-Agent: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Max-Forwards: 70.
    Event: presence.
    Contact: <sip:sa@192.168.2.132:5070>.
    Subscription-State: active;expires=300.
    Require: eventlist.
    Content-Type: multipart/related;type="application/rlmi+xml";start= "<1228905770.sip:anca-list@192.168.2.132.1388638956>";boundary="HXViZAnDGnx6WEgIVJqjZtAK".
    .
    --HXViZAnDGnx6WEgIVJqjZtAK.
    Content-Transfer-Encoding: binary.
    Content-ID: <1228905770.sip:anca-list@192.168.2.132.1388638956>.
    Content-Type: application/rlmi+xml;charset="UTF-8r".
    .
    <?xml version="1.0"?>
    <list uri="sip:anca-list@192.168.2.132" xmlns="urn:ietf:params:xml:ns:rlmi" version="1" fullState="true">
    <resource uri="sip:anca@192.168.2.132"/>
    <resource uri="sip:test@192.168.2.132"/>
    </list>
    .
    --HXViZAnDGnx6WEgIVJqjZtAK--.

    U 2008/12/10 12:42:50.318589 192.168.2.132:5060 -> 192.168.2.132:5070
    SIP/2.0 200 OK.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bKa93b.6404ecb1.0.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    From: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    To: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    CSeq: 1 NOTIFY.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Allow: SUBSCRIBE, NOTIFY, PRACK, INVITE, ACK, BYE, CANCEL, UPDATE, MESSAGE.
    Supported: 100rel.
    Content-Length: 0.

    Subsequent Subscribe and Notify:

    U 2008/12/10 12:43:02.763386 192.168.2.132:5060 -> 192.168.2.132:5070
    SUBSCRIBE sip:sa@192.168.2.132:5070 SIP/2.0.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK5aef.08b10387.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjpl9dFS5GA9NIY.dZASYV2yYZr4Nu2Mn2.
    Max-Forwards: 69.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3607 SUBSCRIBE.
    Event: presence.
    Expires: 0.
    Accept: multipart/related.
    Allow-Events: presence.winfo, message-summary, xcap-diff, presence.
    User-Agent: ag-projects/sipclient-0.2.3-pjsip-1.0-trunk.
    Supported: eventlist.
    Content-Length: 0.
    P-hint: rr-enforced.
    .

    U 2008/12/10 12:43:02.764563 192.168.2.132:5070 -> 192.168.2.132:5060
    SIP/2.0 200 OK.
    Via: SIP/2.0/UDP 192.168.2.132;branch=z9hG4bK5aef.08b10387.0.
    Via: SIP/2.0/UDP 192.168.2.132:60798;received=192.168.2.132;rport=60798;branch=z9hG4bKPjpl9dFS5GA9NIY.dZASYV2yYZr4Nu2Mn2.
    From: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    To: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    CSeq: 3607 SUBSCRIBE.
    Expires: 0.
    Contact: <sip:sa@192.168.2.132:5070>.
    Require: eventlist.
    Server: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Content-Length: 0.
    .

    U 2008/12/10 12:43:02.765773 192.168.2.132:5070 -> 192.168.2.132:5060
    NOTIFY sip:0fbeacc898@192.168.2.132:60798 SIP/2.0.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bK793b.a3db3e03.0.
    To: sip:anca@192.168.2.132;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    From: sip:anca-list@192.168.2.132;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    CSeq: 2 NOTIFY.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    Route: <sip:192.168.2.132;lr=on;ftag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS>.
    Content-Length: 437.
    User-Agent: OpenSIPS (1.5.0dev2-notls (i386/linux)).
    Max-Forwards: 70.
    Event: presence.
    Contact: <sip:sa@192.168.2.132:5070>.
    Subscription-State: terminated;reason=timeout.
    Require: eventlist.
    Content-Type: multipart/related;type="application/rlmi+xml";start= "<1228905782.sip:anca-list@192.168.2.132.1973250666>";boundary="EnFWYBCacVbNJvhpjk6JakMf".
    .
    --EnFWYBCacVbNJvhpjk6JakMf.
    Content-Transfer-Encoding: binary.
    Content-ID: <1228905782.sip:anca-list@192.168.2.132.1973250666>.
    Content-Type: application/rlmi+xml;charset="UTF-8r".
    .
    <?xml version="1.0"?>
    <list uri="sip:anca-list@192.168.2.132" xmlns="urn:ietf:params:xml:ns:rlmi" version="2" fullState="true">
    <resource uri="sip:anca@192.168.2.132"/>
    <resource uri="sip:test@192.168.2.132"/>
    </list>
    .
    --EnFWYBCacVbNJvhpjk6JakMf--.

    U 2008/12/10 12:43:02.774232 192.168.2.132:5060 -> 192.168.2.132:5070
    SIP/2.0 200 OK.
    Via: SIP/2.0/UDP 192.168.2.132:5070;branch=z9hG4bK793b.a3db3e03.0.
    Call-ID: .ei4OvgfjW1xdrwO5vof0wuZSctcMx7o.
    From: <sip:anca-list@192.168.2.132>;tag=bbf7d4ee170841f97da4789c46f9e5df-6231.
    To: <sip:anca@192.168.2.132>;tag=tYhh7SHJRR395OUzDiZ6Jj7DkqbiqFtS.
    CSeq: 2 NOTIFY.
    Contact: <sip:0fbeacc898@192.168.2.132:60798>.
    Allow: SUBSCRIBE, NOTIFY, PRACK, INVITE, ACK, BYE, CANCEL, UPDATE, MESSAGE.
    Supported: 100rel.
    Content-Length: 0.
    .

    regards,

    Anca

     
  • Anca Vamanu

    Anca Vamanu - 2009-02-19

    Hi Rmnathan,

    Can you please give an update report on this issue - test again and see if it works for you. I would like to close this bug report.

    regards,
    Anca

     
  • Nathan

    Nathan - 2009-03-05

    Hi Anca,
    This issue is fixed.
    Thanks a lot.

    Regards,
    rmnathan

     
  • Anca Vamanu

    Anca Vamanu - 2009-03-05
    • status: open-wont-fix --> closed-fixed
     

Log in to post a comment.